import * as React from 'react';
import {
    Table,
    TableBody,
    TableHeader,
    TableHeaderColumn,
    TableFooter,
    TableRow,
    TableRowColumn,
} from 'material-ui/Table';

import { Link, Route, Redirect } from 'react-router-dom';
import { OFRest } from '../../components/Rest';

const styles = {
    propContainer: {
        width: 200,
        overflow: 'hidden',
        margin: '20px auto 0',
    },
    propToggleHeader: {
        margin: '20px auto 10px',
    },
};


export class WaitForAuth extends React.Component<any, any> {
    constructor(props: any, context: any) {
        super(props, context);
        this.state = {
            agents: []
        };

    };

    componentDidMount() {
        this.getAgents();
    }

    getAgents = () => {

        // var val = '[{"id":3,"member":{"id":1,"email":"insanity33@loafle.com","pwSalt":"salktttt","digest":"bbbbbbbbb","name":"insanity3","company":"loafle","phone":"000-000-0000","authorizedDate":null},"authorizedDate":null,"description":"test agent2"},{"id":4,"member":{"id":1,"email":"","pwSalt":"","digest":"","name":"","company":"","phone":"","authorizedDate":0},"authorizedDate":null,"description":"test agent3"}]';

        // let output: string;
        // let obj: any; //new object declaration
        // obj = {
        //     "authStatus":"ACCEPT"
        // };

        // let os: OFRest = new OFRest("NoauthAgent", "GetNoAuthList", obj);

        // os.Call().then(function (res) {
        //     return res.json();
        // }).then(function (json) {
        //     console.log(json);
        // }).catch(function (err) {
        //     console.log(err);
        // });

        // this.setState({
        //     agents : JSON.parse(val)
        // });
    }

    handleRowSelected = (selectedRows: number[] | string) => {
        this.props.history.push('/agent/waitauthDetail');
    }

    render() {

        return (

            <div>
                <Table
                    selectable={true}
                    multiSelectable={false}
                    onRowSelection={this.handleRowSelected}
                >
                    <TableHeader
                        adjustForCheckbox={false}
                        enableSelectAll={false}
                        displaySelectAll={false}>
                        <TableRow>
                            <TableHeaderColumn >API Key</TableHeaderColumn>
                            <TableHeaderColumn >Description</TableHeaderColumn>
                            <TableHeaderColumn >Status</TableHeaderColumn>
                            <TableHeaderColumn >Host</TableHeaderColumn>
                            <TableHeaderColumn >Local IP</TableHeaderColumn>
                            <TableHeaderColumn >Date</TableHeaderColumn>
                        </TableRow>
                    </TableHeader>
                    <TableBody
                        displayRowCheckbox={false}
                    >
                        {this.state.agents.map((row: any, index: number) => (
                            <TableRow key={index} >
                                <TableRowColumn>{row.id}</TableRowColumn>
                                <TableRowColumn>{row.description}</TableRowColumn>
                                <TableRowColumn>{row.status}</TableRowColumn>
                                 <TableRowColumn>{row.hostName}</TableRowColumn>
                                  <TableRowColumn>{row.localIP}</TableRowColumn>
                                  <TableRowColumn>{row.date}</TableRowColumn>
                            </TableRow>
                        ))};

                        </TableBody>
                </Table>
            </div>

        );
    }

}
