import * as React from 'react';
import { Button } from 'semantic-ui-react';
import { Probes } from './Probes';
import { NoauthProbes } from './NoauthProbes';
import { SensorConfiguration } from './SensorConfiguration';
import { Targets } from './Targets';

import Tab, { TabProps } from 'semantic-ui-react/dist/commonjs/modules/Tab';

const panes = [
  { menuItem: 'Tab 1', render: () => <Tab.Pane>Tab 1 Content</Tab.Pane> },
  { menuItem: 'Tab 2', render: () => <Tab.Pane>Tab 2 Content</Tab.Pane> },
  { menuItem: 'Tab 3', render: () => <Tab.Pane>Tab 3 Content</Tab.Pane> },
];


export class Components extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      no: 0,
    };
  }

  handleButton(n: number): void {
    this.setState({
      no: n,
    });
  }

  showContent() {
    switch(this.state.no) {
      case 0: {
        return <Probes/>;
      }
      case 1: {
        return <NoauthProbes/>;
      }
      case 2: {
        return <SensorConfiguration/>;
      }
      case 3: {
        return <Targets/>;
      }
      default: {
      }
    }
  }

  render() {

    return (
      <div style={{margin:'20px'}}>
        {/*<Tab panes={panes} />*/}
        
        <Button.Group>
          <Button onClick={this.handleButton.bind(this, 0)}>Probe list</Button>
          <Button onClick={this.handleButton.bind(this, 1)}>Noauth Probe list</Button>
          <Button onClick={this.handleButton.bind(this, 2)}>Sensor Configuration</Button>
          <Button onClick={this.handleButton.bind(this, 3)}>Target list</Button>
        </Button.Group>
        <div style={{margin:'20px'}}>
          {this.showContent()}
        </div>
      </div>
    );
  }
}



